Package org.apache.sysds.runtime.compress.colgroup.dictionary

## Enum ADictionary.DictType

- java.lang.Object
- - java.lang.Enum<ADictionary.DictType>
  - - org.apache.sysds.runtime.compress.colgroup.dictionary.ADictionary.DictType

All Implemented Interfaces:
  `Serializable`, `Comparable<ADictionary.DictType>`

Enclosing class:
  ADictionary

    public static enum ADictionary.DictType
    extends Enum<ADictionary.DictType>

### Enum Constant Summary

Enum Constants
`Delta`
`Dict`
`Identity`
`IdentitySlice`
`MatrixBlock`
`UInt8`

### Method Summary

All Methods Static Methods Concrete Methods
`static ADictionary.DictType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static ADictionary.DictType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### Delta

    public static final ADictionary.DictType Delta

#### Dict

    public static final ADictionary.DictType Dict

#### MatrixBlock

    public static final ADictionary.DictType MatrixBlock

#### UInt8

    public static final ADictionary.DictType UInt8

#### Identity

    public static final ADictionary.DictType Identity

#### IdentitySlice

    public static final ADictionary.DictType IdentitySlice

### Method Detail

#### values

    public static ADictionary.DictType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ADictionary.DictType c : ADictionary.DictType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ADictionary.DictType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null